! @(#)integraper.prg	17.1.1.1 (ES0-DMD) 01/25/02 17:12:25
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
! MIDAS procedure  integraper.prg  for INTEGRATE/APERTURE
! Ch. Ounnas    840803
!.USE:          use via INTEGRATE/method in_specs out_specs [radius]
!               in_specs = CURSOR  or  inframe,intable
!               out_specs = ?, just display data
!	        = table (if CURSOR input used)
!	        = descr, descriptor name (of inframe)
!               radius  = ? (if CURSOR input used) or radius in user units
!.VERSION:      K. Banse	860917, 901108
!.VERSION:      931108 RHW {} stuff
! +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
DEFINE/PARAM P1 CURSOR
DEFINE/LOCAL L/I/1/1 0
L = M$INDEX(P1,",")
!
WRITE/KEYW INPUTC {P2}				!fill output_specs
DEFINE/LOCAL IMA/I/1/1 0

IF L .GT. 0 THEN				!inframe,intable
   DEFINE/PARAM P3 ? N "Enter radius of aperture:"
   L = L - 1
   WRITE/KEYW IN_A {P1(1:{L})}
   L = L + 2
   WRITE/KEYW IN_B {P1({L}:>)}
   WRITE/KEYW INPUTR/R/1/1 {P3}

   RUN APP_EXE:INTEAPER
!
ELSE
   IF P3 .EQ. "?" THEN
      WRITE/KEYW INPUTR/R/1/1 -1.
      RUN APP_EXE:RADCNV
      IF IMA .NE. 1 THEN
         RETURN
      ENDIF
      SET/CURSOR ? REC,BW

   ELSE
      DEFINE/LOCAL AP/I/1/4 0,0,0,0
      WRITE/KEYW INPUTR/R/1/1 {P3}
      RUN APP_EXE:RADCNV
      IF  IMA .NE. 1 THEN
         RETURN
      ENDIF
      SET/CURSOR ? REC,BW {AP(1)},{AP(2)},{AP(3)},{AP(4)}
   ENDIF
   WRITE/KEYW IN_A *
   WRITE/KEYW IN_B *

   RUN APP_EXE:INTEAPER
ENDIF







